local gc = Var "GameCommand";
local name = gc:GetName();
local index = gc:GetIndex()+1;

--Graphics reuse
local a = {
["Normal"] = "Arcueid",
["Rave"] = "HisuiAndKohaku",
["Arcade"] = "TohnoShiki",
["Hazard"] = "ArchetypeEarth",
["Nonstop"] = "Dust",
["Endless"] = "SionEltnam"
}

--[[
Either StepMania doesn't have any way of telling how many choices there are
or I just haven't found it yet. So of course the hack is to read metrics.ini
directly and count the commas in the string.
]]
--local numChoices = select(2,string.gsub(THEME:GetMetric("ScreenSelectPlayMode","ChoiceNames"), ",", ""))+1
local numChoices = 3;
--local placement = SCREEN_WIDTH/(numChoices)*index-(SCREEN_WIDTH/numChoices/2)
local placement = 0
--local placement = SCREEN_CENTER_X+index*100;
assert(a[name],"SSPM scroll choice: "..name.." is missing from the table!")
return Def.ActorFrame{
    LoadActor("../portrait_"..a[name])..{
        InitCommand=cmd(zoom,.75;addx,-100);
        GainFocusCommand=cmd(diffuse,Color("White"));
        LoseFocusCommand=cmd(diffuse,color("#888888"));
    };


};
